VCS: https://gitlab.cern.ch/linuxsupport/rpms/centos-repos/-/tree/1a994610a172b8fc880705f90bf6a63e5626e7c7
%define dist .el8.cern

Name:           centos-repos
Epoch:          666
Version:        8
Release:        2.0.2%{?dist}
Summary:        CentOS package repositories
License:        GPLv2
URL:            https://centos.org
BuildArch:      noarch

Source100:      LICENSE
Source101:      RPM-GPG-KEY-centosofficial
Source102:      RPM-GPG-KEY-centostesting

# CentOS Linux repos
Source200:      CentOS-Linux-BaseOS.repo
Source201:      CentOS-Linux-AppStream.repo
Source202:      CentOS-Linux-PowerTools.repo
Source203:      CentOS-Linux-Extras.repo
Source204:      CentOS-Linux-Plus.repo

# CentOS Linux add-on repos
Source210:      CentOS-Linux-HighAvailability.repo

# CentOS Linux special repos
Source220:      CentOS-Linux-Media.repo
Source221:      CentOS-Linux-Debuginfo.repo
Source222:      CentOS-Linux-Sources.repo
Source223:      CentOS-Linux-Devel.repo
Source224:      CentOS-Linux-ContinuousRelease.repo
Source225:      CentOS-Linux-FastTrack.repo

# CERN repos and GPG keys

Source500: CentOS-CERN.repo
Source501: RPM-GPG-KEY-EUGridPMA-RPM-3
Source502: RPM-GPG-KEY-ai
Source503: RPM-GPG-KEY-koji
Source504: RPM-GPG-KEY-kojiv2

%description
This package provides the package repository files for CentOS.


%package -n centos-linux-repos
Summary:        CentOS Linux package repositories
Requires:       system-release(releasever) = %{version}
Requires:       centos-gpg-keys = 666:%{version}-%{release}
Provides:       centos-repos(%{version})

# files previously located in other packages
Obsoletes:      centos-release < 8.0-0.1905.0.10
Obsoletes:      centos-repos < 8.2-3

Obsoletes:      centos-release < 666:8.0-0.1905.0.10
Obsoletes:      centos-repos < 666:8.2-3

# conflict with virtual provide so only one repos package is installed
Conflicts:      centos-repos(%{version})

# give dnf a hint to resolve this package on CentOS Linux
Enhances:       centos-linux-release


%description -n centos-linux-repos
This package provides the package repository files for CentOS Linux.


%package -n centos-gpg-keys
Summary:        CentOS RPM keys

# upgrade path from centos-release
Obsoletes:      centos-release < 8.0-0.1905.0.10
Obsoletes:      centos-release < 666:8.0-0.1905.0.10


%description -n centos-gpg-keys
This package provides the RPM signature keys for CentOS.


%install
# copy license here for %%license macro
cp %{SOURCE100} .

# copy GPG keys
install -d -m 0755 %{buildroot}%{_sysconfdir}/pki/rpm-gpg
install -p -m 0644 %{_sourcedir}/RPM-GPG-KEY-* %{buildroot}%{_sysconfdir}/pki/rpm-gpg/

# copy yum repos
install -d -m 0755 %{buildroot}%{_sysconfdir}/yum.repos.d
install -p -m 0644 %{_sourcedir}/*.repo %{buildroot}%{_sysconfdir}/yum.repos.d/

# dnf variables
install -d -m 0755 %{buildroot}%{_sysconfdir}/dnf/vars
echo "stock" > %{buildroot}%{_sysconfdir}/dnf/vars/infra
echo "centos" >%{buildroot}%{_sysconfdir}/dnf/vars/contentdir
#CERN
echo "8" > %{buildroot}%{_sysconfdir}/dnf/vars/cernbase


%files -n centos-linux-repos
%license LICENSE
%config(noreplace) %{_sysconfdir}/yum.repos.d/*.repo
%config(noreplace) %{_sysconfdir}/dnf/vars/contentdir
%config(noreplace) %{_sysconfdir}/dnf/vars/infra
%config(noreplace) %{_sysconfdir}/dnf/vars/cernbase


%files -n centos-gpg-keys
%{_sysconfdir}/pki/rpm-gpg/


%changelog
* Fri Dec 11 2020 Ben Morrice <ben.morrice@cern.ch - 8-2.0.2
- fix typo in AppStream repo file

* Wed Dec 09 2020 Ben Morrice <ben.morrice@cern.ch> - 8-2
- CERN rebuild

* Mon Sep 28 2020 Carl George <carl@george.computer> - 8-2
- Remove plus repo file from centos-stream-repos

* Fri Sep 11 2020 Carl George <carl@george.computer> - 8-1
- Convert to centos-repos

* Fri May 15 2020 Pablo Greco <pgreco@centosproject.org> - 8-2.0.1
- Relax dependency for centos-repos
- Remove update_boot, it was never used in 8
- Add rootfs_expand to aarch64
- Bump release for 8.2

* Thu Mar 12 2020 bstinson@centosproject.org - 8-1.0.9
- Add the Devel repo to centos-release
- Install os-release(5) content to /usr/lib and have /etc/os-release be a symlink (ngompa)pr#9

* Thu Jan 02 2020 Brian Stinson <bstinson@centosproject.org> - 8-1.0.8
- Add base module platform Provides so DNF can auto-discover modular platform (ngompa)pr#6
- Switched CR repo to mirrorlist to spread the load (arrfab)pr#5

* Thu Dec 19 2019 bstinson@centosproject.org - 8-1.0.7
- Typo fixes
- Disable the HA repo by default

* Wed Dec 18 2019 Pablo Greco <pgreco@centosproject.org> - 8-1.el8
- Fix requires in armhfp

* Tue Dec 17 2019 bstinson@centosproject.org - 8-1.el8
- Add the HighAvailability repository

* Wed Aug 14 2019 Neal Gompa <ngompa@centosproject.org> 8-1.el8
- Split repositories and GPG keys out into subpackages

* Sat Aug 10 2019 Fabian Arrotin <arrfab@centos.org> 8-0.el8
- modified baseurl paths, even if disabled

* Sat Aug 10 2019 Fabian Arrotin <arrfab@centos.org> 8-0.el8
- Enabled Extras by default.
- Fixed sources paths for BaseOS/AppStream

* Sat Aug 10 2019 Brian Stinson <bstinson@centosproject.org> 8-0.el7
- Update Debuginfo and fasttrack to use releasever
- Fix CentOS-media.repo to include appstream

* Wed May 08 2019 Pablo Greco <pablo@fliagreco.com.ar> 8-0.el7
- Initial setup for CentOS-8
